## tde-guidance-trinity 14.0.8

=== debian/changelog ===
tde-guidance-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:54:57 +0200

tde-guidance-trinity (0.8.0svn20080103-0ubuntu17.15) karmic; urgency=low

  * Repaired displayconfig scripting and paths

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 25 Oct 2009 21:47:00 -0600

tde-guidance-trinity (0.8.0svn20080103-0ubuntu17.5) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 26 Jul 2009 17:59:00 -0600

tde-guidance-trinity (0.8.0svn20080103-0ubuntu17.4) jaunty; urgency=low

  * Rebuild against Python 2.6

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 22 Apr 2009 22:44:00 -0600

tde-guidance-trinity (0.8.0svn20080103-0ubuntu16.5) intrepid; urgency=low

  * Fixed broken links (closes bug #58)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 03 Apr 2009 11:18:00 -0600

tde-guidance-trinity (0.8.0svn20080103-0ubuntu16.4) intrepid; urgency=low

  * Added -trinity suffix, altered paths

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 08 Mar 2009 16:31:00 -0600

tde-guidance (0.8.0svn20080103-0ubuntu16.2) hardy-proposed; urgency=low

  * kubuntu_35_displayconfig_detect_nvidia_driver.patch:
    - Detect proprietary driver 'nvidia' again as some of the nvidia
      driver files used for detection has been moved. (LP: #271655)

 -- Andreas Wenning <awen@awen.dk>  Thu, 18 Sep 2008 14:24:31 +0200

tde-guidance (0.8.0svn20080103-0ubuntu16.1) hardy-proposed; urgency=low

  [ Anthony Fok ]
  * kubuntu_32_displayconfig_update_refresh_rate.patch:
    - The refresh rate was not updated for the selected resolution, so
      resolution change could fail. (LP: #82279)
  * kubuntu_33_displayconfig_add_new_video_cards.patch:
    - Added 8086:29b2 for "Intel Q35";
  * debian/copyright: s/FDL/GFDL/;

  [ Andreas Wenning ]
  * kubuntu_34_kde-powermanager_no_lid_special_behaviour_disable.patch:
    - No need to call power plugged/unplugged in init if no lid is
      found; this just make us crash. (LP: #231163)
  * Edited kubuntu_23_kde-powermanager_gpmhelper.patch to prevent
    multiple brightness- or hibernate-calls happening on certain
    machines. Already implemented for sleep-calls. (LP: #207473)

 -- Andreas Wenning <awen@awen.dk>  Thu, 05 Jun 2008 16:24:38 +0200

tde-guidance (0.8.0svn20080103-0ubuntu16) hardy; urgency=low

  * kubuntu_26_kde-powermanager_handle_hal_dbus_restarts.patch:
    - don't try to restart HAL if it is not running, let gpm displays
      "the battery has been removed" so that the user knows that he
      can't relay on gpm to check his battery state
    - don't try to restart DBus at all, it's not supported upstream and
      can cause trouble

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 17 Apr 2008 14:18:43 +0200

tde-guidance (0.8.0svn20080103-0ubuntu15) hardy; urgency=low

  [ Andreas Wenning ]
  * Added kubuntu_29_kde-powermanager_display_consumption_rate.patch to
    display current consumption rate. (LP: #214774).
  * Readded kubuntu_30_displayconfig_no_xorg_correct_detection.patch
    which doesn't break the api. displayconfig will detect the hardware
    automatically and write a xorg.conf if none is present on startup.
    (LP: #203378).

  [ Yuriy Kozlov ]
  * Added kubuntu_31_wineconfig_no_i18_on_keys.patch to remove i18n from
    dictionary keys, which caused crashes on non en_US locales.  Should be
    removed if synced with upstream. (LP: #82723)

 -- Yuriy Kozlov <yuriy-kozlov@kubuntu.org>  Sun, 13 Apr 2008 12:49:35 -0400

tde-guidance (0.8.0svn20080103-0ubuntu14) hardy; urgency=low

  * Disable kubuntu_30_displayconfig_no_xorg_correct_detection.patch. It
    breaks the API, and the previous change did not even state a bug number.
    This broke jockey, displayconfig-gtk, and other reverse dependencies and
    is absolutely inappropriate right before a release. (LP: #214914 and a
    magnitude of 100 duplicates)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 12 Apr 2008 18:17:24 +0200

tde-guidance (0.8.0svn20080103-0ubuntu13) hardy; urgency=low

  * Added kubuntu_30_displayconfig_no_xorg_correct_detection.patch
    so we will detect the hardware automatically and write a xorg.conf
    if none is present on startup.

 -- Andreas Wenning <awen@awen.dk>  Thu, 10 Apr 2008 00:59:19 +0200

tde-guidance (0.8.0svn20080103-0ubuntu12) hardy; urgency=low

  * Patch kubuntu_28_kde-powermanager_i18n_strings.patch adds missing
    translatable string.

 -- Andreas Wenning <awen@awen.dk>  Wed, 09 Apr 2008 00:13:18 +0200

tde-guidance (0.8.0svn20080103-0ubuntu11) hardy; urgency=low

  [ Andreas Wenning ]
  * Added kubuntu_24_displayconfig_no_gamma.patch: As we cannot check if
    the video driver supports live gamma changes, we should catch any
    exceptions generated by lacking support. (LP: #201092, #201468).
  * Added kubuntu_25_kde-powermanager_allways_change_brightness.patch
    which disables the internal check for not setting the same bright-
    ness as last time. Some laptops can change brightness in hardware
    and other programs can change it through HAL, so we should allways
    try to change the brightness.

  [ Guillaume Martres ]
  * Added kubuntu_26_kde-powermanager_handle_hal_dbus_restarts.patch so
    the powermanager better handles dbus/hal restarts. (LP: #123812).

  [ Scott Kitterman ]
  * Added kubuntu_27_displayconfig-restore_try_getsize_again.patch to try to
    get size from screen 0 if the first attempt failed (LP: #206509)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Apr 2008 20:06:50 -0400

tde-guidance (0.8.0svn20080103-0ubuntu10) hardy; urgency=low

  [ Andreas Wenning ]
  * Added kubuntu_21_kde-powermanager_unique-check.patch:
    - Fixed guidance-power-managers check for being a unique app.
  * Added kubuntu_23_kde-powermanager_gpmhelper.patch:
    - Added gpmhelper.py to listen for HAL button-events and issue
      dcop calls to guidance-power-manager.


## tde-guidance-trinity 14.0.10

=== debian/changelog ===
tde-guidance-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## tde-guidance-trinity 14.0.11

=== debian/changelog ===
tde-guidance-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jul 2021 07:40:34 +0200

## tde-guidance-trinity 14.0.13

=== debian/changelog ===
tde-guidance-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:28:05 +0100

## tde-guidance-trinity 14.1.0

=== debian/changelog ===
tde-guidance-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 17 Mar 2023 03:31:22 +0100

## tde-guidance-trinity 14.1.1

=== debian/changelog ===
tde-guidance-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 05:14:29 +0200

## tde-guidance-trinity 14.1.2

=== debian/changelog ===
tde-guidance-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Mar 2024 09:31:23 +0100

## tde-guidance-trinity 14.1.3

=== debian/changelog ===
tde-guidance-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:23:34 +0200

## tde-guidance-trinity 14.1.5

=== mountconfig/CMakeLists.txt ===

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${PYTHON_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### generate kcm control module code

set( MODULE_NAME mountconfig )

set( _MODULEDIR_       ${DATA_INSTALL_DIR}/guidance )
set( _EXTRAMODULE_     ${TDE_GUIDANCE_DIST_PKG_PATH} )
set( _MODULENAME_      ${MODULE_NAME} )
set( _FACTORYFUNCTION_ create_${MODULE_NAME} )

configure_file(
  ${CMAKE_SOURCE_DIR}/templates/kcm_module_stub.cpp.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/kcm_${MODULE_NAME}.cpp @ONLY
)


##### kcm_userconfig (module) #######################

tde_add_kpart( kcm_${MODULE_NAME} AUTOMOC
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/kcm_${MODULE_NAME}.cpp

  LINK
    tdecore-shared tdeui-shared
    ${PYTHON_LIBRARIES} ${PYTHONIZE_LIBRARIES}
    ${CMAKE_DL_LIBS}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### Generate UI files

add_custom_command(
  OUTPUT fuser_ui.py
  COMMAND ${PYTQUIC_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/fuser_ui.ui
          -o ${CMAKE_CURRENT_BINARY_DIR}/fuser_ui.py
  COMMENT "Gerenate fuser_ui.py"
)

add_custom_target( fuser_ui-pytquic ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/fuser_ui.py
)


##### other files

tde_create_translated_desktop(
  SOURCE ${MODULE_NAME}.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
  FILES
    SimpleCommandRunner.py SMBShareSelectDialog.py MicroHAL.py
    fuser.py ${CMAKE_CURRENT_BINARY_DIR}/fuser_ui.py sizeview.py
  DESTINATION ${TDE_GUIDANCE_DIST_PKG_PATH}
)

install(
  PROGRAMS ${MODULE_NAME}.py
  DESTINATION ${TDE_GUIDANCE_DIST_PKG_PATH}
)

tde_install_symlink( ${TDE_GUIDANCE_DIST_PKG_PATH}/${MODULE_NAME}.py ${BIN_INSTALL_DIR}/${MODULE_NAME} )

=== serviceconfig/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${PYTHON_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### generate kcm control module code

set( MODULE_NAME serviceconfig )

set( _MODULEDIR_       ${DATA_INSTALL_DIR}/guidance )
set( _EXTRAMODULE_     ${TDE_GUIDANCE_DIST_PKG_PATH} )
set( _MODULENAME_      ${MODULE_NAME} )
set( _FACTORYFUNCTION_ create_${MODULE_NAME} )

configure_file(
  ${CMAKE_SOURCE_DIR}/templates/kcm_module_stub.cpp.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/kcm_${MODULE_NAME}.cpp @ONLY
)


##### kcm_userconfig (module) #######################

tde_add_kpart( kcm_${MODULE_NAME} AUTOMOC
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/kcm_${MODULE_NAME}.cpp

  LINK
    tdecore-shared tdeui-shared
    ${PYTHON_LIBRARIES} ${PYTHONIZE_LIBRARIES}
    ${CMAKE_DL_LIBS}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

tde_create_translated_desktop(
  SOURCE ${MODULE_NAME}.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
  PROGRAMS ${MODULE_NAME}.py
  DESTINATION ${TDE_GUIDANCE_DIST_PKG_PATH}
)

tde_install_symlink( ${TDE_GUIDANCE_DIST_PKG_PATH}/${MODULE_NAME}.py ${BIN_INSTALL_DIR}/${MODULE_NAME} )

## tde-guidance-trinity 14.1.4

=== debian/changelog ===
tde-guidance-trinity (4:14.1.4-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: tde-guidance-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
 python3-setuptools, python3-sip-tqt-dev, libpythonize0-trinity-dev, pytde-dev
Standards-Version: 3.8.4

Package: tde-guidance-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, pytdeextensions-trinity, python3-pytde, guidance-backends-trinity, python3-all, python3-all-dev
Replaces: kde-guidance-trinity (<< 4:14.0.0~)
Breaks: kde-guidance-trinity (<< 4:14.0.0~)
Conflicts: guidance-power-manager, kde-guidance-powermanager
Provides: ${python3:Provides}
Description: collection of TDE system administration tools for GNU/Linux [Trinity]
 Guidance currently consists of three programs designed to help you
 look after your system:
  o  userconfig - User and Group administration
  o  serviceconfig - Service/daemon administration
  o  mountconfig - Disk and filesystem administration
 .
 These tools are available in Trinity Control Center, System Settings 
 or can be run as standalone applications.
 .
  Homepage: http://www.simonzone.com/software/guidance

Package: guidance-backends-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-all, python3-all-dev
Replaces: guidance-backends-trinity (<< 4:14.0.0~)
Breaks: guidance-backends-trinity (<< 4:14.0.0~)
Conflicts: guidance-power-manager, kde-guidance-powermanager
Provides: ${python3:Provides}
Description: collection of system administration tools for GNU/Linux [Trinity]
 This package contains the platform neutral backends used in the
 Guidance configuration tools.
 .
  Homepage: http://www.simonzone.com/software/guidance

## tde-guidance-trinity 14.1.5~pre0

=== debian/changelog ===
tde-guidance-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 1ac5802338ca4c449bbcd55b8fe12b7cb2721977
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-guidance-trinity 14.1.5

=== debian/changelog ===
tde-guidance-trinity (4:14.1.5-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  python3-setuptools, python3-sip-tqt-dev, libpythonize0-trinity-dev, pytde-dev
 Standards-Version: 3.8.4

## tde-guidance-trinity 14.1.6~pre0

=== debian/changelog ===
tde-guidance-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1ac5802338ca4c449bbcd55b8fe12b7cb2721977
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-guidance-trinity 14.1.6~pre1

=== debian/changelog ===
tde-guidance-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 65aef8197c076a9b65ac3f47fbd8169b75156a46
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:59:19 +0100

## tde-guidance-trinity 14.2.0~pre27

=== debian/changelog ===
tde-guidance-trinity (4:14.2.0~pre27-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for a763b8815086f7d2a5c9b6999c3e9470eb2e5238
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tde-guidance-trinity 14.2.0~pre28

=== debian/changelog ===
tde-guidance-trinity (4:14.2.0~pre28-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 0da38055bbde6b3b5452734f10f137c5d3c1018c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-guidance

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:04:06 +0100
